> ## Documentation Index
> Fetch the complete documentation index at: https://docs.runaether.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get billing subscription



## OpenAPI

````yaml api-reference/openapi.account.json GET /billing/subscription
openapi: 3.1.0
info:
  title: Aether Account & Integrations API
  version: 0.1.0
  description: >-
    Account, billing, and integration-management endpoints used by the Aether
    web app and CLI. Root-mounted; NOT part of the versioned /v1 contract.
servers:
  - url: https://api.runaether.dev
security:
  - bearerAuth: []
paths:
  /billing/subscription:
    get:
      tags:
        - billing
      summary: Get billing subscription
      operationId: getBillingSubscription
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BillingSubscriptionResponse'
          description: OK
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OrgAuthorizationErrorResponse'
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Not Found
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Internal Server Error
components:
  schemas:
    BillingSubscriptionResponse:
      additionalProperties: false
      properties:
        active_billing_cycle_id:
          type: string
        billing_cycle_ends_at:
          type: string
        billing_cycle_starts_at:
          type: string
        cancel_at_period_end:
          type: boolean
        cancellation_effective_at:
          type: string
        checkout_pending:
          type: boolean
        credits_remaining:
          format: double
          type: number
        current_period_end:
          type: string
        current_period_start:
          type: string
        monthly_credit_grant:
          format: int64
          type: integer
        payment_state:
          enum:
            - not_required
            - checkout_pending
            - active
            - grace_period
            - past_due
            - unpaid
            - canceled
            - blocked
          type: string
        plan:
          $ref: '#/components/schemas/OrgBillingPlan'
        portal_available:
          type: boolean
        provider_available:
          type: boolean
        settlement_mode:
          enum:
            - prepaid
            - enterprise_invoice
          type: string
        subscription_status:
          enum:
            - free
            - active
            - trialing
            - incomplete
            - past_due
            - unpaid
            - canceled
            - paused
          type: string
        tier:
          enum:
            - free
            - starter
            - pro
            - max
            - team
          type: string
      required:
        - plan
        - settlement_mode
        - tier
        - monthly_credit_grant
        - credits_remaining
        - subscription_status
        - payment_state
        - cancel_at_period_end
        - active_billing_cycle_id
        - billing_cycle_starts_at
        - checkout_pending
        - portal_available
        - provider_available
      type: object
    ErrorResponse:
      additionalProperties: false
      properties:
        code:
          type: string
        error:
          minLength: 1
          type: string
        errors:
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type: array
      required:
        - error
      type: object
    OrgAuthorizationErrorResponse:
      additionalProperties: false
      properties:
        code:
          enum:
            - org_membership_required
            - org_role_insufficient
            - org_suspended
            - account_deleting
          type: string
        error:
          minLength: 1
          type: string
      required:
        - error
        - code
      type: object
    OrgBillingPlan:
      additionalProperties: false
      properties:
        allowed_tiers:
          items:
            enum:
              - starter
              - pro
              - max
              - team
            type: string
          type: array
        credits_per_seat:
          format: int64
          type: integer
        has_subscription:
          type: boolean
        kind:
          enum:
            - personal
            - team
          type: string
        monthly_price_per_seat_usd:
          format: double
          type: number
        seat_count:
          format: int64
          type: integer
        seats:
          items:
            $ref: '#/components/schemas/BillingSeatMember'
          type: array
      required:
        - kind
        - allowed_tiers
        - seats
        - seat_count
        - has_subscription
        - monthly_price_per_seat_usd
        - credits_per_seat
      type: object
    ErrorDetail:
      additionalProperties: false
      properties:
        location:
          description: >-
            Where the error occurred, e.g. 'body.items[3].tags' or
            'path.thing-id'
          type: string
        message:
          description: Error message text
          type: string
        value:
          description: The value at the given location
      type: object
    BillingSeatMember:
      additionalProperties: false
      properties:
        display_name:
          type: string
        email:
          type: string
        user_id:
          type: string
      required:
        - user_id
        - email
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.